---
title: pydo.nfs.get_access_point()
description: Get an NFS access point
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/nfs/get_access_point/
last_updated: "2026-08-03"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.nfs.get_access_point()

Generated on 3 Aug 2026 from `pydo` version [`v0.40.0`](https://github.com/digitalocean/pydo/releases/tag/v0.40.0v0.40.0)

## Usage

```python
client.nfs.get_access_point(
    access_point_id="becd9f04-8afa-4ccd-b03e-9676447df603",
)
```

Returns `JSON`Raises `HttpResponseError`

## Description

To get an NFS access point, send a GET request to [`/v2/nfs/access_points/{access_point_id}`](https://docs.digitalocean.com/reference/api/reference/nfs/index.html.md#nfs_get_access_point).

A successful request will return the NFS access point.

## Parameters

`access_point_id` string required

The unique identifier of the NFS access point.

## Response Example

## Show Response Example

```json
{
  "access_point": {
    "id": "becd9f04-8afa-4ccd-b03e-9676447df603",
    "name": "default",
    "share_id": "baf4827c-6fa9-456f-9dbd-9ddfcacd0720",
    "path": "/",
    "status": "ACCESS_POINT_ACTIVE",
    "is_default": true,
    "created_at": "2026-06-25T08:10:29Z",
    "updated_at": "2026-06-25T08:10:37Z",
    "access_policy": {
      "anonuid": 65534,
      "anongid": 65534,
      "protocols": [
        "NFS4",
        "NFS"
      ],
      "squash_config": "ROOT_SQUASH",
      "identity_enforcement_enabled": false
    }
  }
}
```

## More Information

See [`/v2/nfs/access_points/{access_point_id}`](https://docs.digitalocean.com/reference/api/reference/nfs/index.html.md#nfs_get_access_point) in the API reference for additional detail on responses, headers, parameters, and more.